Package com.avaya.clientservices.media

## Enum AutomaticGainControlMode

- java.lang.Object
- - java.lang.Enum<AutomaticGainControlMode>
  - - com.avaya.clientservices.media.AutomaticGainControlMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AutomaticGainControlMode>`

      public enum AutomaticGainControlMode
      extends java.lang.Enum<AutomaticGainControlMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADAPTIVE_ANALOG` |
    `ADAPTIVE_DIGITAL` |
    `DEFAULT` |
    `FIXED_DIGITAL` |
    `NATIVE` |
    `OFF` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AutomaticGainControlMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static AutomaticGainControlMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AutomaticGainControlMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final AutomaticGainControlMode OFF

    - #### DEFAULT

          public static final AutomaticGainControlMode DEFAULT

    - #### NATIVE

          public static final AutomaticGainControlMode NATIVE

    - #### ADAPTIVE_ANALOG

          public static final AutomaticGainControlMode ADAPTIVE_ANALOG

    - #### ADAPTIVE_DIGITAL

          public static final AutomaticGainControlMode ADAPTIVE_DIGITAL

    - #### FIXED_DIGITAL

          public static final AutomaticGainControlMode FIXED_DIGITAL

  - ### Method Detail

    - #### values

          public static AutomaticGainControlMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutomaticGainControlMode c : AutomaticGainControlMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutomaticGainControlMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static AutomaticGainControlMode fromInt​(int v)

    - #### intValue

          public int intValue()